package ink.wgink.service.role.service;

import ink.wgink.interfaces.role.IRoleUserBaseService;
import ink.wgink.pojo.dtos.department.DepartmentUserDTO;

import java.util.List;
import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IRoleUserService
 * @Description: 角色用户
 * @Author: WangGeng
 * @Date: 2021/2/18 11:24
 * @Version: 1.0
 **/
public interface IRoleUserService extends IRoleUserBaseService {

    /**
     * 更新用户组人员列表
     *
     * @param roleId    角色ID
     * @param saveIds   新增ID列表
     * @param deleteIds 删除ID列表
     */
    void update(String roleId, List<String> saveIds, List<String> deleteIds);

    /**
     * 用户组人员删除
     *
     * @param roleId  用户组ID
     * @param userIds 用户ID列表
     */
    void delete(String roleId, List<String> userIds);

    /**
     * 部门用户列表
     *
     * @param params
     * @return
     */
    List<DepartmentUserDTO> listDepartmentUser(Map<String, Object> params);
}
